Межсайтовый скриптинг в easyXDM

Дата публикации:
05.02.2014
Дата изменения:
05.02.2014
Всего просмотров:
1573
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:N/I:P/A:N/E:U/RL:OF/RC:C) = Base:5/Temporal:3.7
CVE ID:
CVE-2014-1403
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
easyXDM 2.x
Уязвимые версии: easyXDM 2.4.18, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в URL через /name.html#_3constructor. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: http://easyxdm.net/wp/

Решение: Установите последнюю версию 2.4.19 с сайта производителя.

Ссылки: https://github.com/oyvindkinsey/easyXDM/releases/tag/2.4.19
http://blog.kotowicz.net/2014/01/xssing-with-shakespeare-name-calling.html

или введите имя

CAPTCHA